import { Base, Type } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { CT_SlicerCache } from "./CT_SlicerCache";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
/**
 * @hidden
 */
export declare class CT_SlicerCaches extends Base {
    static $t: Type;
    private b;
    constructor();
    a: List$1<CT_SlicerCache>;
    static c(a: XmlPartManagerBase): void;
    static d(a: XmlPartManagerBase, b: string): void;
}
